---
search:
  tags:
    - Challenge instances
    - POST
seo:
  description: >-
    Terminate running challenge instances. Reference for the POST
    /api/admin/challenge-instances/reap endpoint in the Athena Jeopardy Admin
    API.
sidebar:
  label: Terminate running challenge instances
  badge: POST
title: Terminate running challenge instances
type: openapi-operation
---
`POST /api/admin/challenge-instances/reap`

**Request body** (`application/json`, required)

- `challengeId` (string)
- `instanceIds` (string[])
- `reason` (string, required)

Request body example:

```json
{
  "challengeId": "string",
  "instanceIds": [
    "string"
  ],
  "reason": "string"
}
```

**Responses**

- `200` — Success
- `400` — Bad request
- `401` — Unauthorized
- `422` — Validation failed
- `500` — Unhandled server error
- `501` — Not implemented

Response example, 200:

```json
{
  "terminated": [
    "string"
  ],
  "failed": [
    {
      "id": "string",
      "error": "string"
    }
  ]
}
```
